## Apache Zeta Components Manual :: Docs For Class ezcBaseDoubleClassRepositoryPrefixException

### Base::ezcBaseDoubleClassRepositoryPrefixException

### Class ezcBaseDoubleClassRepositoryPrefixException

ezcBaseDoubleClassRepositoryPrefixException is thrown whenever you try to register a class repository with a prefix that has already been added before.

Source for this file: /Base/src/exceptions/double_class_repository_prefix.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseDoubleClassRepositoryPrefixException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseDoubleClassRepositoryPrefixException | `__construct( $prefix , $basePath , $autoloadDirPath )` Constructs a new ezcBaseDoubleClassRepositoryPrefixException for the $prefix that points to $basePath with autoload directory $autoloadDirPath.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseDoubleClassRepositoryPrefixException __construct( string $prefix , string $basePath , string $autoloadDirPath )

Constructs a new ezcBaseDoubleClassRepositoryPrefixException for the $prefix that points to $basePath with autoload directory $autoloadDirPath.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$prefix` | string |
`$basePath` | string |
`$autoloadDirPath` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3